/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-2000 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: MakeEdit.h,v 2.2 2000/07/23 20:36:43 jeffharris Exp $

*******************************************************************************/


#ifndef MakeEdit_included
#define MakeEdit_included

#include "Project.h"

#include "MakeEditData.h"

class MakeEdit : public MakeEditData
{
    Q_OBJECT

public:

    MakeEdit
    (
        const QString &,
        QWidget* parent = NULL,
        const char* name = NULL
    );

    virtual ~MakeEdit();

private slots:
    void SaveMakefile();

private:
  QString saveName;
  // File name to save Makefile in

};
#endif // MakeEdit_included
