/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-2000 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: DialogWindowPage.h,v 2.2 2000/07/23 20:37:45 jeffharris Exp $

*******************************************************************************/


#ifndef DialogWindowPage_included
#define DialogWindowPage_included

#include "DialogWindowPageData.h"

#include "WidgetLayout.h"

class Dialog;

class DialogWindowPage : public DialogWindowPageData
{
    Q_OBJECT

public:

    DialogWindowPage
    (
	Dialog* dialog,
        QWidget* parent = NULL,
        const char* name = NULL
    );

    virtual ~DialogWindowPage();

    void Apply( Dialog* dialog );

};
#endif // DialogWindowPage_included
