/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-2000 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: main.cpp,v 1.4 2000/07/23 20:38:01 jeffharris Exp $

*******************************************************************************/


#include <qapp.h>
#include <qfont.h>
#include <qregexp.h>
#include <qstring.h>
#include <qtranslator.h>

#include <stdlib.h>
#include <stdio.h>

#include "TestAll.h"

int main( int argc, char** argv )
{
    QApplication a( argc, argv );

    QString qmfile = "TestAll_en";
    QTranslator translator( 0 );
    translator.load( qmfile, "." );
    a.installTranslator( &translator );

    TestAll* wnd = new TestAll;

    a.setMainWidget( wnd );

	wnd->show();

  int retVal = a.exec();

  return retVal;
}


